// 초음파 센서 아두이노 핀
#define echo 6
#define trig 7

void setup()  // 초기화
{  
  Serial.begin(9600); // 시리얼 통신속도를 9600으로 한다.
  
  pinMode(trig, OUTPUT);  // trig 출력 설정  
  pinMode(echo, INPUT);   // echo 입력 설정
}

void loop() { //무한루프
  Serial.print(" Check the value ! " );
  Serial.println( read_ultrasonic() );  // 측정한 거리 출력
  delay(500);
}

int read_ultrasonic(void){  // 초음파 센서 값 읽어오는 함수
  float return_time, howlong; // 시간 값과 거리 값을 저장하는 변수를 만든다.
  // 초음파 센서는 초음파를 발사 후 돌아오는 시간을 역산하여 거리 값으로 계산한다.
  digitalWrite(trig, HIGH); // 초음파 발사
  delay(5);
  digitalWrite(trig, LOW);
  return_time = pulseIn(echo, HIGH);  // 돌아오는 시간
  howlong = ((float)(340 * return_time) / 10000) / 2; // 시간을 거리로 계산
  return howlong; // 거리 값 리턴
}

